Name:           icu4j
Version:        52.1
Release:        1
Epoch:          1
Summary:        International Components for Unicode for Java
License:        MIT and EPL 
URL:            http://site.icu-project.org/
Group:          Development/Java
#CAUTION
#to create a tarball use following procedure
#svn co http://source.icu-project.org/repos/icu/icu4j/tags/release-52-eclipse-20140218 icu4j-<version>
#tar caf icu4j-<version>.tar.xz icu4j-<version>/
Source0:        icu4j-%{version}.tar.xz
Source1:        %{name}-%{version}.pom

# Java 8 taglet API changes
Patch0:         java8-taglets.patch

# Add better OSGi metadata to core jar
Patch1:         improve-osgi-manifest.patch

BuildRequires:  ant >= 1.7.0
# FIXME:  is this necessary or is it just adding strings in the hrefs in
# the docs?
BuildRequires:  java-javadoc >= 1:1.6.0
# This is to ensure we get OpenJDK and not GCJ
BuildRequires:  java-devel >= 1:1.7.0
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  java-rpmbuild
BuildRequires:  zip
Requires:       jpackage-utils
# This is to ensure we get OpenJDK and not GCJ
Requires:       java-headless >= 1:1.6.0

BuildArch:      noarch


%description
The International Components for Unicode (ICU) library provides robust and
full-featured Unicode services on a wide variety of platforms. ICU supports
the most current version of the Unicode standard, and provides support for
supplementary characters (needed for GB 18030 repertoire support).

Java provides a very strong foundation for global programs, and IBM and the
ICU team played a key role in providing globalization technology into Sun's
Java. But because of its long release schedule, Java cannot always keep
up-to-date with evolving standards. The ICU team continues to extend Java's
Unicode and internationalization support, focusing on improving
performance, keeping current with the Unicode standard, and providing
richer APIs, while remaining as compatible as possible with the original
Java text and internationalization API design.

%package charset
Summary:        Charset converter library of %{name}
Group:          Development/Java
Requires:       jpackage-utils

%description charset
Charset sublibrary of %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       jpackage-utils
Requires:       java-javadoc >= 1:1.6.0

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0
%patch1

cp %{SOURCE1} .

%{__sed} -i 's/\r//' APIChangeReport.html
%{__sed} -i 's/\r//' readme.html

sed --in-place "s/ .*bootclasspath=.*//g" build.xml
sed --in-place "s/<date datetime=.*when=\"after\"\/>//" build.xml
sed --in-place "/javac1.3/d" build.xml
sed --in-place "s:/usr/lib:%{_datadir}:g" build.xml

%build
%ant -Dicu4j.javac.source=1.5 -Dicu4j.javac.target=1.5 -Dj2se.apidoc=%{_javadocdir}/java jar docs

%install

# jars
mkdir -p %{buildroot}%{_javadir}
cp -ap %{name}.jar %{buildroot}%{_javadir}/%{name}.jar
cp -ap %{name}-charset.jar %{buildroot}%{_javadir}/%{name}-charset.jar

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr doc/* %{buildroot}%{_javadocdir}/%{name}

# maven stuff
install -d -m 755 %{buildroot}%{_mavenpomdir}
cp %{name}-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%files
%doc readme.html APIChangeReport.html
%{_javadir}/%{name}.jar
# %{_datadir}/maven-metadata/*
%{_mavenpomdir}/*.pom

%files charset
%{_javadir}/%{name}-charset.jar

%files javadoc
%doc %{_javadocdir}/*


%changelog

* Thu Jun 18 2015 Denis Silakov <denis.silakov@rosalab.ru> 1:52.1-1
- (bb3036e) Added java-rpmbuild BR


